WAYFIRE(1)

NAME
wayfire - modular and extensible wayland compositor

SYNOPSIS
wayfire [-c, --config config_file] [-B, --config-backend config_backend] [-d, --debug] [-D, --damage-debug] [-h, --help] [-R, --damage-renderer] [-v, --version]

DESCRIPTION
wayfire is a wayland compositor focusing on modularity and extensibility by providing a small core compositor implementation with all major functionality being provided by plugins. The default plugins provide 3D effects similar to compiz, such as 3D cube, wobbly windows, blur, fish eye, etc.

The optional flags are described as follows:

-c, --config config_file

    Start wayfire with an alternative configuration file. The default configuration file is searched first in the ${WAYFIRE_CONFIG_FILE} environment variable, or paths ${XDG_CONFIG_HOME}/wayfire/wayfire.ini, ${HOME}/.config/wayfire/wayfire.ini, ${XDG_CONFIG_HOME}/wayfire.ini, ${HOME}/.config/wayfire.ini.

-B, --config-backend config_backend

    Specify config backend to use.

-d, --debug

    Enable debug logging.

-D, --damage-debug

    Enable additional debug for damaged regions.

-h, --help

    Print a short help message.

-R, --damage-renderer

    Rerender damaged regions.

-v, --version

    Print the version.

ENVIRONMENT VARIABLES
wayfire respects the following environment variables:

WAYFIRE_CONFIG_FILE
    The config file to use.

WAYFIRE_PLUGIN_XML_PATH

    A string of paths, separated by : , in which to look for plugin configuration files. By default wayfire looks for configuration files in /usr/local/share/wayfire/metadata and ${XDG_DATA_HOME}/wayfire/metadata.

WAYFIRE_PLUGIN_PATH

    A string of paths, separated by : , in which to look for plugins. By default wayfire looks for plugins in /usr/local/lib/wayfire and ${XDG_DATA_HOME}/wayfire/plugins.

_WAYFIRE_SOCKET

    Socket override to use to communicate with a specific wayfire instance using the IPC. Useful incase of multiple running instances of wayfire.

In addition, wayfire also sets the following environment variables:

WAYFIRE_SOCKET

    Socket to use when communicating with wayfire.

WAYLAND_DISPLAY

    Wayland display currently in effect.

CONFIG_FILE_ENV

    Which config file is being used.

_JAVA_AWT_WM_NONREPARENTING

    Needed for java based windows and it is set to 1.

DISPLAY
XCURSOR_SIZE
XCURSOR_THEME

    Variables for use with legacy xwayland(1) windows.

SEE ALSO
xwayland(1)